Description: Patch adds support for externally set LDFLAGS. It lets
    passing hardening flags from debian/rules. Also, the rpath
    definition is removed.
Author: Sergei Golovan
Last-Modified: Fri, 04 Jul 2014 09:29:39 +0400

--- a/configure.in
+++ b/configure.in
@@ -1061,7 +1061,7 @@
 SHLIB_LIB_SPECS="${JPEG_LIB_SPEC}"
 SHLIB_TCL_ONLY_LIB_SPECS="${TCL_ONLY_LIB_SPECS}"
 SHLIB_TCL_ONLY_LIB_SPECS=""
-LDFLAGS=""
+LDFLAGS="${LDFLAGS}"
 LD_RUN_PATH=""
 EXTRA_LIB_SPECS=""
 
@@ -1197,13 +1197,13 @@
     fi
     ;;
     
-  *-linux*)
+  *-linux*|*-gnu*)
     SHLIB_CFLAGS="-fPIC"
     SHLIB_LD="${CC}"
     SHLIB_LD_FLAGS='-rdynamic -shared -Wl,-E -Wl,-soname,$@'
-    LD_RUN_PATH="-Wl,-rpath,${loader_run_path}"
+    LD_RUN_PATH=""
     
-    LDFLAGS=""
+    LDFLAGS="${LDFLAGS}"
     EXTRA_LIB_SPECS="-ldl"
     ;;
   
--- a/generic/shared/Makefile.in
+++ b/generic/shared/Makefile.in
@@ -144,7 +144,7 @@
 	$(CC) -c $(CC_SWITCHES) -DBLT_LIBRARY=\"$(scriptdir)\" \
 		$(srcdir)/bltInit.c
 	$(RM) $@
-	$(SHLIB_LD) $(SHLIB_LD_FLAGS) -o $@ bltInit.o $(OBJS) \
+	$(SHLIB_LD) $(SHLIB_LD_FLAGS) $(LDFLAGS) -o $@ bltInit.o $(OBJS) \
 		$(LIBS)
 
 # Line above changed for complete dependency listings - gordon
@@ -154,7 +154,7 @@
 	$(CC) -c $(CC_SWITCHES) -DTCL_ONLY -DBLT_LIBRARY=\"$(scriptdir)\" \
 		$(srcdir)/bltInit.c
 	$(RM) $@
-	$(SHLIB_LD) $(SHLIB_LD_FLAGS) -o $@ bltInit.o $(TCL_ONLY_OBJS) \
+	$(SHLIB_LD) $(SHLIB_LD_FLAGS) $(LDFLAGS) -o $@ bltInit.o $(TCL_ONLY_OBJS) \
 		$(TCL_ONLY_LIB_SPECS)
 
 # Line above changed for complete dependency listings - gordon
